# Uses of Interface
com.destroystokyo.paper.entity.Pathfinder.PathResult

Packages that use Pathfinder.PathResult
Package
Description
com.destroystokyo.paper.entity

## Uses of Pathfinder.PathResult in com.destroystokyo.paper.entity

Methods in com.destroystokyo.paper.entity that return Pathfinder.PathResult
Modifier and Type
Method
Description
`@Nullable Pathfinder.PathResult`
Pathfinder.`findPath(@NotNull LivingEntity target)`
Calculates a destination for the Entity to navigate to to reach the target entity, but does not set it as the current target.
`@Nullable Pathfinder.PathResult`
Pathfinder.`findPath(@NotNull Location loc)`
Calculates a destination for the Entity to navigate to, but does not set it as the current target.
`@Nullable Pathfinder.PathResult`
Pathfinder.`getCurrentPath()`
Methods in com.destroystokyo.paper.entity with parameters of type Pathfinder.PathResult
Modifier and Type
Method
Description
`default boolean`
Pathfinder.`moveTo(@NotNull Pathfinder.PathResult path)`
Takes the result of a previous pathfinding calculation and sets it as the active pathfinding with default speed.
`boolean`
Pathfinder.`moveTo(@NotNull Pathfinder.PathResult path, double speed)`
Takes the result of a previous pathfinding calculation and sets it as the active pathfinding,